package com.lynx.tasm.behavior.ui.canvas;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;
import com.lynx.tasm.behavior.ui.LynxUI$$PropsSetter;

public class LynxHeliumCanvas$$PropsSetter extends LynxUI$$PropsSetter {
    static {
        Covode.recordClassIndex(46673);
    }

    public void setProperty(LynxBaseUI lynxBaseUI, String str, QNZ qnz) {
        LynxHeliumCanvas lynxHeliumCanvas = (LynxHeliumCanvas) lynxBaseUI;
        str.hashCode();
        if (!str.equals("consume-android-events")) {
            super.setProperty(lynxBaseUI, str, qnz);
        } else {
            lynxHeliumCanvas.setConsumeAllEvents(qnz.LIZ(str, false));
        }
    }
}
